NAMED(8)

NAME
named - Internet domain name server

SYNOPSIS
named [-c config-file] [-d debuglevel] [-f -g -s] [-n #cpus] [-p port#] [-t directory] [-u user-id] [-v] [-x cache-file]

DESCRIPTION
named is a Domain Name System (DNS) server, part of the BIND 9 distribution from ISC. For more information on the DNS, see RFCs 1033, 1034, and 1035.

When invoked without arguments, named will read the default configuration file /etc/named.conf, read any initial data, and listen for queries.

The options to named are as follows:

-c  use config-file as the configuration file instead of the default, /etc/named.conf. To ensure that reloading the configuration file continues to work after the server has changed its working directory due to to a possible directory option in the configuration file, config-file should be an absolute pathname.

-d  set the daemon's debug level to debuglevel. Debugging traces from named become more verbose as the debug level increases.

-f  run named in the foreground.

-g  run named in the foreground and force all logging to stderr.

-n  create #cpus worker threads to take advantage of multiple CPUs. If no option is given, named will try to determine the number of CPUs present and create one thread per CPU. If named is unable to determine the number of CPUs, a single worker thread is created.

-p  listen for queries on port port# instead of the default port number, 53.

-s  write memory usage statistics to stdout on exit. This option is mainly of interest to BIND9 developers and may be removed or changed in a future release.

-t  tells named to chroot() to directory as soon as it is finshed processing command line arguments, before reading its configuration file. This should be used in conjunction with the -u option, as chrooting a process running as root doesn't enhance security on most systems - the way chroot() is defined allows a process with root privileges to escape the chroot jail.

-u  run named as UID user-id. named will change its UID after it has carried out any privileged operations, such as creating sockets that listen on privileged ports.

    On Linux, named uses the kernel's capability mechanism to drop all root privileges except the ability to bind() to a privileged port. Unfortunately, this means that the "-u" option only works when named is run on 2.3.99-pre3 or later kernel, since previous kernels did not allow privileges to be retained after setuid().

-v  report the version number and exit.

-x  load data from cache-file. into the cache of the default view. This option must not be used. It is only of interest to BIND9 developers and may be removed or changed in a future release.

SIGNALS
In routine operation, signals should not be used to control the name server. rndc should be used instead. Sending the name server a SIGHUP signal forces a reload of the server. A SIGINT or SIGTERM signal can be used to gracefully shut down the server. Sending any other signals to the name server will have an undefined outcome.

FILES
/etc/named.conf
    default configuration file
/var/run/named.pid
    default process-id file

SEE ALSO
RFC1033, RFC1034, RFC1035, rndc(8), lwresd(8), BIND9 Administrator Reference Manual, June 2000.